curl
curl https://api.paybridgenp.com/v1/webhooks/we_01j9x2k3m4n5p6q7r8s9t0u1v2/deliveries \
-H "Authorization: Bearer sk_test_your_key"import requests
url = "https://api.paybridgenp.com/v1/webhooks/{id}/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paybridgenp.com/v1/webhooks/{id}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"webhookEndpointId": "<string>",
"paymentId": "<string>",
"eventType": "payment.succeeded",
"attempts": 123,
"responseStatus": 200,
"lastAttemptAt": "2023-11-07T05:31:56Z",
"nextAttemptAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"message": "<string>",
"code": "<string>",
"request_id": "req_2Je91NlWKuXkdXUJOK9gaHNW",
"suspension": {
"suspended_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"pause": {
"paused_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"request_id": "req_2Je91NlWKuXkdXUJOK9gaHNW",
"suspension": {
"suspended_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"pause": {
"paused_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
}Webhooks
List delivery attempts
Returns the last 50 delivery attempts for a webhook endpoint. Useful for debugging failed deliveries.
GET
/
v1
/
webhooks
/
{id}
/
deliveries
curl
curl https://api.paybridgenp.com/v1/webhooks/we_01j9x2k3m4n5p6q7r8s9t0u1v2/deliveries \
-H "Authorization: Bearer sk_test_your_key"import requests
url = "https://api.paybridgenp.com/v1/webhooks/{id}/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paybridgenp.com/v1/webhooks/{id}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"webhookEndpointId": "<string>",
"paymentId": "<string>",
"eventType": "payment.succeeded",
"attempts": 123,
"responseStatus": 200,
"lastAttemptAt": "2023-11-07T05:31:56Z",
"nextAttemptAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"message": "<string>",
"code": "<string>",
"request_id": "req_2Je91NlWKuXkdXUJOK9gaHNW",
"suspension": {
"suspended_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"pause": {
"paused_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"request_id": "req_2Je91NlWKuXkdXUJOK9gaHNW",
"suspension": {
"suspended_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"pause": {
"paused_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
}Was this page helpful?
⌘I